Fog options should be available in Ul
2007-04-19 17:27 - halfgaar
Priority: Low % Done: 0%
Assignee:

Category: User experience

Target version:

Description

The fog options (enabled/disabled, type, etc) should be present in the graphics control panel. There is no way to disable it now, and
running "fog off" in the console doesn't help much either, because it gets turned on after going to the options, or changing maps, etc.

History

#1 - 2007-04-30 17:12 - danij

Logged In: YES
user_id=849456
Originator: NO

Fog is not a global option. It is there to be changed on a per-map basis.

This is not a bug.

#2 - 2007-12-05 14:58 - halfgaar

Logged In: YES
user_id=684411
Originator: YES

Then what can one do when he doesn't want fog, because it causes too much slowdown for example, or because the original doom didn't have it. |
find it rather strange that you can't turn of fog on a global basis.

#3 - 2007-12-06 09:33 - halfgaar

Logged In: YES
user_id=684411
Originator: YES

Forgive my petulance for reopening this bug, but the fog is till bothering me. As | said in my previous post, one should be able to choose to disable the
fog, just as you would disable particles. You said it is enabled on a per map basis, but where is this specified for each map?

The reason | want to disable fog, is because it causes to much slowdown, the lighting becomes ugly when making a lot of light (with the plasma
cannon for example) and you can't see in the distance, which you could with the original doom.

#4 - 2007-12-06 10:36 - danij

Logged In: YES
user_id=849456
Originator: NO

If you don't want fog then the best thing to do is to disable whatever addon it is that you are using which is adding the fog.

However, | can see your point. It would be handy to have a setting which overrides the fog settings in Maplnfo definitions, so I'll move this to the RFE
tracker.

BTW, there is already the following cvar which controls the default fog drawing mode:
rend-fog-default

#5 - 2010-05-05 17:28 - halfgaar

Logged In: YES
user_id=684411
Originator: YES

Hey, | didn't know the fog was being added by the environmental pack (jdep). By looking at the source, | noticed it has a command line option to
disable fog (-nofog), but unfortunately, it disables the nice skies as well...

2024-04-10 1/2




#6 - 2013-10-22 08:52 - skyjake

- Tags set to TaskBar

- Subject changed from Fog options should be available in panel to Fog options should be available in Ul
- Category set to User experience

- Priority changed from Normal to Low

Maybe in Renderer Settings — Developer popup?

#7 - 2019-11-29 15:33 - skyjake

- Status changed from New to Rejected
